package com.jwk.spring.boot.autoconfigure;

import com.jwk.spring.boot.modbus4j.ModbusMasterUtil;
import com.jwk.spring.boot.modbus4j.ModbusTcpMaster;


/**
 * @author JWK
 * @version 1.0
 * @date 2022/9/7 17:00
 */
public class ModbusTcpMasterTemplate {


    private ModbusTcpMaster modbusTcpMaster;
    private ModbusMasterUtil modbusMasterUtil;

    /**
     * 初始化连接
     *
     * @param host
     * @param port
     */
    public ModbusTcpMasterTemplate(String host, Integer port) {
        modbusTcpMaster = new ModbusTcpMaster(host, port);
        modbusTcpMaster.connectAsync();
    }

    public ModbusMasterUtil getModbusMasterUtil() {
        modbusMasterUtil = modbusTcpMaster.getModbusMasterUtil();
        return modbusMasterUtil;
    }
}
